git: cd724c25928d - main - bsdinstall: complete whitelabeling the installer

From: Mariusz Zaborski <oshogbo_at_FreeBSD.org>
Date: Sun, 04 Feb 2024 11:59:15 UTC
The branch main has been updated by oshogbo:

URL: https://cgit.FreeBSD.org/src/commit/?id=cd724c25928d0d30761d118690b4ac75ca931b63

commit cd724c25928d0d30761d118690b4ac75ca931b63
Author:     Mariusz Zaborski <oshogbo@FreeBSD.org>
AuthorDate: 2024-02-04 11:59:07 +0000
Commit:     Mariusz Zaborski <oshogbo@FreeBSD.org>
CommitDate: 2024-02-04 12:01:08 +0000

    bsdinstall: complete whitelabeling the installer
    
    The commit 147585b4893bc38698aaa971af336b241477eac3 introduces
    whitlabeling. This commit addresses couple more places where the
    os name was missed.
    
    Reviewed by:    imp, asiciliano, brd
    Differential Revision:  https://reviews.freebsd.org/D43638
---
 usr.sbin/bsdinstall/partedit/part_wizard.c |  6 +++---
 usr.sbin/bsdinstall/partedit/partedit.c    |  4 ++--
 usr.sbin/bsdinstall/startbsdinstall        | 15 +++++++++------
 3 files changed, 14 insertions(+), 11 deletions(-)

diff --git a/usr.sbin/bsdinstall/partedit/part_wizard.c b/usr.sbin/bsdinstall/partedit/part_wizard.c
index a3c5cb43ec51..44d9a08b0c78 100644
--- a/usr.sbin/bsdinstall/partedit/part_wizard.c
+++ b/usr.sbin/bsdinstall/partedit/part_wizard.c
@@ -66,7 +66,7 @@ startwizard:
 	if (error != 0)
 		return (1);
 
-	bsddialog_backtitle(&conf, "FreeBSD Installer");
+	bsddialog_backtitle(&conf, OSNAME " Installer");
 	disk = boot_disk_select(&mesh);
 	if (disk == NULL) {
 		geom_deletetree(&mesh);
@@ -74,7 +74,7 @@ startwizard:
 	}
 
 	bsddialog_clear(0);
-	bsddialog_backtitle(&conf, "FreeBSD Installer");
+	bsddialog_backtitle(&conf, OSNAME " Installer");
 	schemeroot = wizard_partition(&mesh, disk);
 	free(disk);
 	geom_deletetree(&mesh);
@@ -82,7 +82,7 @@ startwizard:
 		return (1);
 
 	bsddialog_clear(0);
-	bsddialog_backtitle(&conf, "FreeBSD Installer");
+	bsddialog_backtitle(&conf, OSNAME " Installer");
 	error = geom_gettree(&mesh);
 	if (error != 0) {
 		free(schemeroot);
diff --git a/usr.sbin/bsdinstall/partedit/partedit.c b/usr.sbin/bsdinstall/partedit/partedit.c
index 74606a2ef8f3..148cb74edc75 100644
--- a/usr.sbin/bsdinstall/partedit/partedit.c
+++ b/usr.sbin/bsdinstall/partedit/partedit.c
@@ -125,7 +125,7 @@ main(int argc, const char **argv)
 	while (prompt != NULL) {
 		bsddialog_clear(0);
 		if (!sade_mode)
-			bsddialog_backtitle(&conf, "FreeBSD Installer");
+			bsddialog_backtitle(&conf, OSNAME " Installer");
 
 		error = geom_gettree(&mesh);
 		if (error == 0)
@@ -137,7 +137,7 @@ main(int argc, const char **argv)
 			    "installation menu.", 0, 0);
 			break;
 		}
-			
+
 		get_mount_points(items, nitems);
 
 		if (i >= nitems)
diff --git a/usr.sbin/bsdinstall/startbsdinstall b/usr.sbin/bsdinstall/startbsdinstall
index 63239c969ac6..ab78c2941256 100644
--- a/usr.sbin/bsdinstall/startbsdinstall
+++ b/usr.sbin/bsdinstall/startbsdinstall
@@ -1,5 +1,8 @@
 #!/bin/sh
 
+BSDCFG_SHARE="/usr/share/bsdconfig"
+. $BSDCFG_SHARE/common.subr || exit 1
+
 : ${BSDDIALOG_OK=0}
 : ${BSDDIALOG_CANCEL=1}
 : ${BSDDIALOG_HELP=2}
@@ -27,7 +30,7 @@ if [ $? -eq 0 ]; then
 else
 	# Serial or other console
 	echo
-	echo "Welcome to FreeBSD!"
+	echo "Welcome to ${OSNAME}!"
 	echo
 	echo "Please choose the appropriate terminal type for your system."
 	echo "Common console types are:"
@@ -46,18 +49,18 @@ resizewin -z
 
 if [ -f /etc/installerconfig ]; then
 	if [ "$1" != "primary" ]; then
-		bsddialog --backtitle "FreeBSD Installer" --title "Installing" --msgbox "FreeBSD is being installed from a script; please use the primary console." 0 0
+		bsddialog --backtitle "${OSNAME} Installer" --title "Installing" --msgbox "${OSNAME} is being installed from a script; please use the primary console." 0 0
 		. "$0"
 	elif bsdinstall script /etc/installerconfig; then
-		bsddialog --backtitle "FreeBSD Installer" --title "Complete" --no-cancel --ok-label "Reboot" --pause "Installation of FreeBSD complete! Rebooting in 10 seconds" 10 30 10
+		bsddialog --backtitle "${OSNAME} Installer" --title "Complete" --no-cancel --ok-label "Reboot" --pause "Installation of ${OSNAME} complete! Rebooting in 10 seconds" 10 30 10
 		reboot
 	else
-		bsddialog --backtitle "FreeBSD Installer" --title "Error" --textbox /tmp/bsdinstall_log 0 0
+		bsddialog --backtitle "${OSNAME} Installer" --title "Error" --textbox /tmp/bsdinstall_log 0 0
 	fi
 	exit 
 fi
 
-bsddialog --backtitle "FreeBSD Installer" --title "Welcome" --extra-button --extra-label "Shell" --ok-label "Install" --cancel-label "Live System" --yesno "Welcome to FreeBSD! Would you like to begin an installation or use the live system?" 0 0
+bsddialog --backtitle "${OSNAME} Installer" --title "Welcome" --extra-button --extra-label "Shell" --ok-label "Install" --cancel-label "Live System" --yesno "Welcome to ${OSNAME}! Would you like to begin an installation or use the live system?" 0 0
 
 case $? in
 $BSDDIALOG_OK)	# Install
@@ -70,7 +73,7 @@ $BSDDIALOG_OK)	# Install
 	trap true SIGINT	# Ignore cntrl-C here
 	bsdinstall
 	if [ $? -eq 0 ]; then
-		bsddialog --backtitle "FreeBSD Installer" --title "Complete" --ok-label "Reboot" --extra-button --extra-label "Shutdown" --cancel-label "Live System" --yesno "Installation of FreeBSD complete! Would you like to reboot into the installed system now?" 0 0
+		bsddialog --backtitle "${OSNAME} Installer" --title "Complete" --ok-label "Reboot" --extra-button --extra-label "Shutdown" --cancel-label "Live System" --yesno "Installation of ${OSNAME} complete! Would you like to reboot into the installed system now?" 0 0
 
 		case $? in
 		$BSDDIALOG_OK)		# Reboot